Bug 805379 - Feature request: support ReadySHARE USB Printer Feature on Netgear WNDR4500 and WNDR3800 home wireless routers
Feature request: support ReadySHARE USB Printer Feature on Netgear WNDR4500 a...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
17
i686 Linux
unspecified Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 00:36 EDT by William M. Quarles
Modified: 2013-08-01 08:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:43:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William M. Quarles 2012-03-21 00:36:59 EDT
Description of problem:
As far as I can find, Netgear does not have a utility or a driver that can "attach" a USB Printer via their ReadySHARE Printer feature of the WNDR4500 and WNDR3800 home wireless routers for GNNU/Linux, nor does anyone else. It would be really cool if there was support for it.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
In MS Windows, the ReadySHARE Printer utility somehow fools the Windows machine into thinking that the USB printer and/or scanner are/is attached via USB, when it is actually attached to the router directly via USB 2.0.
Comment 1 Tim Waugh 2012-03-21 05:19:23 EDT
Printer class over USB over network seems pretty niche.  Does this router not support something standard like IPP or LPD, with SNMP or mDNS for advertising the printer on the network?

There is no benefit to having to run software on the client machine to pretend that a network printer is actually a local USB printer.  If it can be made to just work by finding the network printer share automatically, that's the much better goal.
Comment 2 Fedora End Of Life 2013-07-04 00:07:23 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 08:44:09 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.